Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMChartOptions

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMChartOptions

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, ChartOptions

    public class JSMChartOptions

extends JSMBaseObject
implements ChartOptions

Field Summary
`Chart` | `chart`
`JSMCredits` | `credits`
`JSMLabels` | `labels`
`JSMLegend` | `legend`
`JSMPlotOptions` | `plotOptions`
`java.lang.Object` | `series`
`JSMTitle` | `subtitle`
`JSMTitle` | `title`
`JSMTooltip` | `tooltip`
`JSMAxis` | `xAxis`
`JSMAxis` | `yAxis`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMChartOptions()`

Method Summary
`Chart` | `getChart()`
`Credits` | `getCredits()`
`JSMLabels` | `getLabels()`
`Legend` | `getLegend()`
`PlotOptions` | `getPlotOptions()`
`JSMArray<Series>` | `getSeries()`
`Title` | `getSubtitle()`
`Title` | `getTitle()`
`Tooltip` | `getTooltip()`
`Axis` | `getXAxis()`
`Axis` | `getYAxis()`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chart

    public Chart chart

### credits

    public JSMCredits credits

### labels

    public JSMLabels labels

### legend

    public JSMLegend legend

### plotOptions

    public JSMPlotOptions plotOptions

### series

    public java.lang.Object series

### title

    public JSMTitle title

### subtitle

    public JSMTitle subtitle

### tooltip

    public JSMTooltip tooltip

### xAxis

    public JSMAxis xAxis

### yAxis

    public JSMAxis yAxis

Constructor Detail

### JSMChartOptions

    public JSMChartOptions()

Method Detail

### getChart

    public Chart getChart()

  Specified by:
    `getChart` in interface `ChartOptions`

### getCredits

    public Credits getCredits()

  Specified by:
    `getCredits` in interface `ChartOptions`

### getLabels

    public JSMLabels getLabels()

  Specified by:
    `getLabels` in interface `ChartOptions`

### getLegend

    public Legend getLegend()

  Specified by:
    `getLegend` in interface `ChartOptions`

### getPlotOptions

    public PlotOptions getPlotOptions()

  Specified by:
    `getPlotOptions` in interface `ChartOptions`

### getSeries

    public JSMArray<Series> getSeries()

  Specified by:
    `getSeries` in interface `ChartOptions`

### getTitle

    public Title getTitle()

  Specified by:
    `getTitle` in interface `ChartOptions`

### getSubtitle

    public Title getSubtitle()

  Specified by:
    `getSubtitle` in interface `ChartOptions`

### getTooltip

    public Tooltip getTooltip()

  Specified by:
    `getTooltip` in interface `ChartOptions`

### getXAxis

    public Axis getXAxis()

  Specified by:
    `getXAxis` in interface `ChartOptions`

### getYAxis

    public Axis getYAxis()

  Specified by:
    `getYAxis` in interface `ChartOptions`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD